rTorrent

Re: rTorrent

Postby AnSo » 09 Jun 2013, 22:33

было бы великолепно!
IconBit XDS1003D (xds1003d_11131_r0)
AnSo
 
Posts: 100
Joined: 20 Apr 2011, 00:22

Re: rTorrent

Postby FarVoice » 09 Jun 2013, 23:51

ASUS O!Play R1 (amp_r12_vrtn), xTreamer Pro (amp_r12_vrt), xTreamer Prodigy (iNeXT 2.14 r2), IconBIT HDR12L (amp_r12_vrt), 3Q F425HW (xds42gl_7725_r3), MyGica A11 (mygica_m3_20121222)
User avatar
FarVoice
Администратор
 
Posts: 8573
Joined: 03 Sep 2010, 01:27
Location: Russia, Moscow

Re: rTorrent

Postby Bob_St » 10 Jun 2013, 15:46

FarVoice wrote:типа собрал amp_r10_icon_1230.zip

ОГРОМАДНЕЙШЕЕ СПАСИБО! Качаю, пробую ставить это дело :o

Обновлено спустя 30 минут: Установил это дело, получил на старте вечный логотип АСУСа и тишина. :(
Выполняю откат назад на версию amp_r10_nogui - порядок. Все равно спасибо за сборку и попытку 8-)
xTreamer Pro(amp_r12_VRT/noGUI, WD10EARS:128Мb swap+ext3); eth0
User avatar
Bob_St
 
Posts: 108
Joined: 18 Nov 2010, 16:13
Location: Україна, Слобожа́нщина

Re: rTorrent

Postby AnSo » 12 Jun 2013, 00:21

Скажите, есть ли к rtorrent софт под винду для удаленного управления, как transmission remoute для транса?
IconBit XDS1003D (xds1003d_11131_r0)
AnSo
 
Posts: 100
Joined: 20 Apr 2011, 00:22

Re: rTorrent

Postby irinka-1 » 15 Apr 2014, 09:45

помогите с запуском этого.. :))
rtorrent установился..через putty запускается..
rtorrent -n -o import=/opt/etc/rtorrent.conf так тоже работает..
как его через S99rtorrent сделать то??
прилепил..
убран запуск из под su
в таком виде запускается и все..
starting rtorrent:rtorrent.
и всё..в логе пусто..в процессах его нету..
| +
#!/bin/sh

user="root"
config="/opt/etc/rtorrent.conf"
options="-n -o import=${config}"
base="/tmp/usbmounts/sda1/torrent"
srnname="rtorrent"
logfile="/opt/var/log/rtorrentInit.log"

# this many seconds we will wait after sending signal
interrupt_timeout="10"
terminate_timeout="120"
kill_timeout="5"

PATH=/opt/bin:/opt/sbin:/usr/bin:/sbin:/bin:/usr/sbin

DESC="rtorrent"
NAME=rtorrent
DAEMON=$NAME
SCRIPTNAME=/data/icapp/etc/rcex.d/S99rtorrent

# Do not proceed unless some apps are available.
#[ -x "/opt/bin/screen" ] || { echo "screen not found." >> "$logfile" ; exit 2 ; }
#[ -x "/opt/bin/su" -o -x "/bin/su" ] || { echo "su not found." >> "$logfile" ; exit 2 ; }
test -x /opt/bin/screen || ( echo "screen not found." >> "$logfile" >&2 ; exit 2 )
test -x || ( echo "su not found." >> "$logfile" >&2 ; exit 2 )

checkcnfg() {
exists=false

old_IFS="$IFS"
IFS=":"
for d in $PATH ; do
full="$d/$DAEMON"
if [ -f "$full" -a -x "$full" ] ; then
exists=true
break
fi
done
IFS="${old_IFS}"

if ! $exists ; then
echo "Cannot find $DAEMON binary in PATH \"$PATH\"." >> "$logfile"
exit 3
fi
if ! [ -r "${config}" ] ; then
echo "Cannot find readable config \"${config}\". Check that it is there and permissions are appropriate." >> "$logfile"
exit 3
fi
session=`getsession "$config"`
if ! [ -d "${session}" ] ; then
echo "Cannot find readable session directory \"${session}\" from config \"${config}\". Check permissions." >> "$logfile"
exit 3
fi
}

d_start() {
session=`getsession "$config"`
if [ -e "${session}/rtorrent.lock" ] ; then
# remove lockfile
rm -f "${session}/rtorrent.lock"
fi

cmd="$DAEMON $options"

[ -d "${base}" ] && cd "${base}"
# stty stop undef
# stty start undef
screen -ls | grep -sq \."${srnname}"[[:space:]] ${user} || screen -dm -S "${srnname}" 2>&1 1>/dev/null "${user}" >>"$logfile" >&2
# this works for the screen command, but starting rtorrent below adopts screen session gid
# even if it is not the screen session we started (e.g. running under an undesirable gid
#su -c "screen -ls | grep -sq "\.${srnname}[[:space:]]" " ${user} || su -c "sg \"$group\" -c \"screen -fn -dm -S ${srnname} 2>&1 1>/dev/null\"" ${user} | tee -a "$logfile" >&2
screen -S "${srnname}" -X screen rtorrent ${options} 2>&1 1>/dev/null "${user}" >>"$logfile" >&2
}

# this works for the screen command, but starting rtorrent below adopts screen session gid
# even if it is not the screen session we started (e.g. running under an undesirable gid)
#su -c "screen -ls | grep -sq '\\.${srnname}[[:space:]]'" "${user}" || su -c "sg '$group' -c 'screen -fn -dm -S \"${srnname}\" 2>&1'" "${user}" >> "$logfile"

# if su -c "screen -ls | grep -sq '\\.${srnname}[[:space:]]'" "${user}" ; then
# # screen session is already running - send command
# su -c "screen -S '${srnname}' -X screen ${cmd} 2>&1" "${user}" >> "$logfile"
# else
# # no screen session - start one
# su -c "screen -dm -S '${srnname}' ${cmd} 2>&1" "${user}" >> "$logfile"
# fi

# if [ ! -h /tmp/share/webui/cgi-bin/rtorrent.cgi ]; then
# ln -s /opt/share/www/rtorrent.cgi /tmp/share/webui/cgi-bin/rtorrent.cgi
# fi
# if [ ! -h /tmp/share/webui/rtorrent.str ]; then
# ln -s /opt/share/www/rtorrent.str /tmp/share/webui/rtorrent.str
# fi

#}


# include `signal_and_wait` function
#. /tmp/opt/usr/lib/signal_and_wait.inc.sh


d_stop() {
session=`getsession "$config"`
# if ! [ -s "${session}/rtorrent.lock" ] ; then
# return
# fi
# pid=`cat "${session}/rtorrent.lock" | awk -F':' '{print($2)}' | sed 's/[^0-9]//g'`
pid=`pidof $NAME`
if ls -l "/proc/${pid}/exe" | grep -q '/rtorrent$' # make sure the pid doesn't belong to another process
then
# send SIGINT (normal shutdown) and wait ${interrupt_timeout} seconds
if signal_and_wait "INT" "${interrupt_timeout}" $pid ; then
# exited
return
fi

# now send SIGTERM (quick shutdown) and wait ${terminate_timeout} seconds
if signal_and_wait "TERM" "${terminate_timeout}" $pid ; then
# exited
return
fi

# finally send SIGKILL (immediate death) and wait ${kill_timeout} seconds
signal_and_wait "KILL" "${kill_timeout}" $pid

fi
if [ -e "${session}/rtorrent.lock" ] ; then
# remove lockfile
rm -f "${session}/rtorrent.lock"
fi

}

getsession() {
awk '/^[[:space:]]*session[[:space:]]*=[[:space:]]*/ {print($3)}' "$config"
}

checkcnfg

case "$1" in
start)
echo -n "Starting $DESC: $NAME"
d_start
echo "."
;;
stop)
echo -n "Stopping $DESC: $NAME"
d_stop
echo "."
;;
restart|force-reload)
echo -n "Restarting $DESC: $NAME"
if [ -n "`pidof $NAME`" ]; then
d_stop
fi
sleep 2
d_start
echo "."
;;
status)
if [ -n "`pidof $NAME`" ]; then
echo "on"
else
echo "off"
fi
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
exit 1
;;
esac
Digma 950 (HiMedia 900) +amps_r6_inext_2.16+универсальный бут.
irinka-1
 
Posts: 64
Joined: 20 Dec 2012, 20:47

Re: rTorrent

Postby irinka-1 » 15 Apr 2014, 13:03

вот второй вариант запуска..
| +
#!/bin/sh

ENABLED=yes
PROCS=rtorrent
ARGS="-n -o import=/opt/etc/rtorrent/rtorrent.conf"
PREARGS="screen -dmS rtorrent"
DESC=$PROCS
PATH=/opt/sbin:/opt/bin:/opt/usr/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

if [ -z "`pidof $PROCS`" ]; then
rm -f /opt/var/rpc.socket
fi
. /opt/etc/init.d/rc.func


вот только rc.func у меня нету..
Digma 950 (HiMedia 900) +amps_r6_inext_2.16+универсальный бут.
irinka-1
 
Posts: 64
Joined: 20 Dec 2012, 20:47

Re: rTorrent

Postby irinka-1 » 17 Apr 2014, 13:36

подскажите по линуксу..
1)установил coreutils ..там все файлы с таким же именем..т.е. coreutils-su
связал пару (ln -s /opt/bin/coreutils-chown /opt/bin/chown)
как то можно все сразу связать??
2)не хочет работать screen ..ругается на chwon tty: нету файла или дирeктории, и не может найти pty
Digma 950 (HiMedia 900) +amps_r6_inext_2.16+универсальный бут.
irinka-1
 
Posts: 64
Joined: 20 Dec 2012, 20:47

Re: rTorrent

Postby FarVoice » 17 Apr 2014, 17:08

я чота не понял - а чего вы маетесь? вроде ж rtorrent ставится из moS двумя кликами?
ASUS O!Play R1 (amp_r12_vrtn), xTreamer Pro (amp_r12_vrt), xTreamer Prodigy (iNeXT 2.14 r2), IconBIT HDR12L (amp_r12_vrt), 3Q F425HW (xds42gl_7725_r3), MyGica A11 (mygica_m3_20121222)
User avatar
FarVoice
Администратор
 
Posts: 8573
Joined: 03 Sep 2010, 01:27
Location: Russia, Moscow

Re: rTorrent

Postby irinka-1 » 17 Apr 2014, 18:33

этот оптварный..:))
встал то встал..как его запустить то??
ни скрин..ни дточ не хочет работать..
Digma 950 (HiMedia 900) +amps_r6_inext_2.16+универсальный бут.
irinka-1
 
Posts: 64
Joined: 20 Dec 2012, 20:47

Re: rTorrent

Postby FarVoice » 17 Apr 2014, 18:48

а чем он интересно отличается от мосовского? Собиралось то из одного источника ;) Гляньте скрипты запуска в moS и сделайте тож самое в оптвари.
ASUS O!Play R1 (amp_r12_vrtn), xTreamer Pro (amp_r12_vrt), xTreamer Prodigy (iNeXT 2.14 r2), IconBIT HDR12L (amp_r12_vrt), 3Q F425HW (xds42gl_7725_r3), MyGica A11 (mygica_m3_20121222)
User avatar
FarVoice
Администратор
 
Posts: 8573
Joined: 03 Sep 2010, 01:27
Location: Russia, Moscow

PreviousNext

Return to Разработка

Who is online

Users browsing this forum: No registered users and 2 guests